var body, contactInfo, socialIconInnerParent, socialIconParent,topbBarInfoPosition, menuParent, portal, portalResponsive, portalNonResponsive;
var themeLogo,themeLogoHeight,themeLogoWidth,themeLogoHeightSlice,themeLogoWidthSlice;

function removeClass(element, className) {
    element && (element.className = element.className.replace(new RegExp(className, 'g'), ''));
}

function addClass(element, className) {
    element && element.classList.add(className);
}

function VariableInit() {
    topbBarInfoPosition = document.querySelectorAll('[data-topbarinfo-position="zptheme-topbarinfo-position"]')[0];
    contactInfo = document.querySelectorAll('[data-contact-info="zptheme-contact-info"]')[0];
    menuParent = document.querySelectorAll('[data-non-res-menu="zptheme-menu-non-res"]')[0];
    socialIconParent = document.querySelectorAll('[data-socialicon-parent="zptheme-socialicon-parent"]')[0];
    socialIconInnerParent = document.querySelectorAll('[data-socialicon-inner-parent="zptheme-socialicon-inner-parent"]')[0];
    portal = document.querySelectorAll('[data-theme-portal="zptheme-portal"]')[0];
    portalResponsive = document.querySelectorAll('[data-theme-portal-responsive="zptheme-portal-responsive"]')[0];
    portalNonResponsive = document.querySelectorAll('[data-theme-portal-non-responsive="zptheme-portal-non-responsive"]')[0];
    body = document.getElementsByTagName("body")[0];
    themeLogo = document.querySelectorAll('[data-zs-logo]')[0];
    if(themeLogo){
      themeLogoHeight = themeLogo.style.height;
      themeLogoHeightSlice = Number(themeLogoHeight.slice(0,-2));
    	themeLogoWidth = themeLogo.style.width;
      themeLogoWidthSlice = Number(themeLogoWidth.slice(0,-2));
    }

}

function responsivechanges() {
    if (!body) {
        VariableInit();
    }

    if (document.documentElement.clientWidth > 992) {
        if (menuParent && menuParent.parentNode == contactInfo) {
            menuParent.removeChild(contactInfo);
        }
        if (contactInfo && contactInfo.parentNode == socialIconInnerParent) {
            contactInfo.removeChild(socialIconInnerParent);
        }
        if (socialIconParent) {
            socialIconParent.appendChild(socialIconInnerParent);
        }
        if (contactInfo || contactInfo && !menuParent) {
            topbBarInfoPosition.appendChild(contactInfo);
        }
        if (portal && portalResponsive) {
            portalResponsive.innerHTML = '';
        }
        if (portalNonResponsive) {
            portalNonResponsive.appendChild(portal);
        }
    } else {
        if (contactInfo && menuParent) {
            menuParent.appendChild(contactInfo);
        }
        if ((contactInfo && socialIconInnerParent) && menuParent) {
            contactInfo.appendChild(socialIconInnerParent);

        } else if ((!contactInfo && socialIconInnerParent) && menuParent) {
            menuParent.appendChild(socialIconInnerParent);
        }
        if (portal && portalResponsive) {
            portalResponsive.appendChild(portal);
        }
        var deviceWidth = document.documentElement.clientWidth/2;
        var deviceHeight = document.documentElement.clientHeight/2;
        if(themeLogo && themeLogoHeightSlice >= deviceHeight || themeLogo && themeLogoWidthSlice >= deviceWidth){
            addClass(themeLogo,'mobileLogoAuto');
        }
        if(menuParent){
        	menuParent.style.maxHeight = "";
        }
    }
}

document.addEventListener("DOMContentLoaded", function(event) {
    responsivechanges();
});

window.onresize = function() {
    responsivechanges();
}
